{# heredando header y footer #}
{% extends "./index.html" %}
{% load static %}
{% block contenido %}

<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionPedido/" method="post" enctype="multipart/form-data">
        {% csrf_token %}
        <h6>Cliente:</h6>
        <select class="form-control" name="id_cli" id="id_cli" required>
            <option value="">--Seleccione el tipo de cliente--</option>
            {% for cliente in clientes %}
              <option value="{{cliente.id_bf}}">{{cliente.nombre_bf}}</option>
            {% endfor %}
        </select>
        <script type="text/javascript">
            document.getElementById("id_cli").value="{{pedido.cliente.id_bf}}"
        </script>
        <input type="hidden" name="id_bf" value="{{pedido.id_bf}}">
        <b>Fecha del Pedido</b>
        <input type="date" name="fecha_pedido_bf" id="fecha_pedido_bf" value="{{pedido.fecha_pedido_bf|date:'Y-m-d'}}" class="form-control" required/>
        <br>
        <input type="text" name="tipo_servicio_bf" id="tipo_servicio_bf" value="{{pedido.tipo_servicio_bf}}" class="form-control" required>
        <br>
        <input type="text" name="metodo_pago_bf" id="metodo_pago_bf" value="{{pedido.metodo_pago_bf}}" class="form-control" required>
        <br>
        <input type="text" name="estado_bf" id="estado_bf" value="{{pedido.estado_bf}}" class="form-control" required>
        <br></br>
        <center>
            <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="{% url 'pedidos' %}" name="button" class="btn btn-danger">Cancelar</a>
        </center>
    </form>
  </div>

</div>

<script type="text/javascript">
          $("#frm_nuevo_ped").validate({
            rules:{
              "id_cli":{
                required:true
              },
              "fecha_pedido_bf":{
                required:true
              },
              "tipo_servicio_bf":{
                required:true
              },
              "metodo_pago_bf":{
                required:true
              },
              "estado_bf":{
                required:true
              }
            },
            messages:{
              "id_cli":{
                required:"Por favor seleccione un Cliente"
              },
              "fecha_pedido_bf":{
                required:"Por favor Ingrese una fecha valida"
              },
              "tipo_servicio_bf":{
                required:"Debe ingresar un servicio valido"
              },
              "metodo_pago_bf":{
                required:"Debe ingresar un metodo de pago valido"
              },
              "estado_bf":{
                required:"Debe ingresar un estado valido"
              }
            }
          });
        </script>
{% endblock %}
